List:General Discussion« Previous MessageNext Message »
From:Ben Clewett Date:October 23 2006 2:51pm
Subject:Re: Upgrade issue
View as plain text  
Hi David,

 > Go from 4.1 to 5.0 to 5.1  .  This is safer.

Thanks for the advise, I'll plan this route.

I still have the problem that 5.1 has no 'mysql_upgrade' program.

I would really be interested in hearing from somebody from MySQL.  Does 
this version need no upgrading?  I am confused...

Regards,

Ben


Dave Shariff Yadallee - System Administrator a.k.a. The Root of the 
Problem wrote:
> On Mon, Oct 23, 2006 at 01:49:14PM +0100, Ben Clewett wrote:
>> MySQL,
>>
>> I am trying to upgrade from 4.1 to 5.1.
>>
>> Your manual states I should run mysql_upgrade.
>>
>> But there is no such program in our pre-compiled binary, only a man page!
>>
>> $ find . -name "mysql_upgrade*"
>> ./mysql-5.1.11-beta-aix5.2-powerpc-64bit/man/man1/mysql_upgrade.1
>>
>> However the on-line manual states the follows does the same thing:
>>
>> $ mysqlcheck --check-upgrade --all-databases --auto-repair
>> $ mysql_fix_privilege_tables
>>
>> Is this safe?
>>
>> I only ask because the last time I tried to upgrade, MySQL core-dumped 
>> every few minutes when an unknown user connected.  So I am looking at 
>> every incontinuity to try and work out if this is the reason.
>>
>> Thanks for any help,
>>
>> Ben Clewett.
>>
>>
> 
> Go from 4.1 to 5.0 to 5.1  .  This is safer.
>  
>>
>>
>>
>>
>> -- 
>> MySQL General Mailing List
>> For list archives: http://lists.mysql.com/mysql
>> To unsubscribe:    http://lists.mysql.com/mysql?unsub=1
>>
> 

Thread
Upgrade issueBen Clewett23 Oct
  • Re: Upgrade issueDave Shariff Yadallee -  System Administrator a.k.a. The Root of the Problem23 Oct
    • Re: Upgrade issueBen Clewett23 Oct
    • Re: Upgrade issueBen Clewett23 Oct